package cn.com.qmth.stmms.ms.commons.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: 阿里云oss config
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/3/30
 */
@Configuration
@ConfigurationProperties(prefix = "aliyun.oss", ignoreUnknownFields = false)
public class AliYunOssConfig {

    private String endpoint;

    private String endpointInner;

    private String accessKeyId;

    private String accessKeySecret;

    private String bucket;

    private String imageDir;

    private String thumbDir;

    private String sheetDir;

    private String watermark;

    private String util;

    private String url;

    public String getImageDir() {
        return imageDir;
    }

    public void setImageDir(String imageDir) {
        this.imageDir = imageDir;
    }

    public String getThumbDir() {
        return thumbDir;
    }

    public void setThumbDir(String thumbDir) {
        this.thumbDir = thumbDir;
    }

    public String getSheetDir() {
        return sheetDir;
    }

    public void setSheetDir(String sheetDir) {
        this.sheetDir = sheetDir;
    }

    public String getWatermark() {
        return watermark;
    }

    public void setWatermark(String watermark) {
        this.watermark = watermark;
    }

    public String getUtil() {
        return util;
    }

    public void setUtil(String util) {
        this.util = util;
    }

    /**
     * @return the endpoint
     */
    public String getEndpoint() {
        return endpoint;
    }

    /**
     * @param endpoint the endpoint to set
     */
    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }

    public String getEndpointInner() {
        return endpointInner;
    }

    public void setEndpointInner(String endpointInner) {
        this.endpointInner = endpointInner;
    }

    /**
     * @return the accessKeyId
     */
    public String getAccessKeyId() {
        return accessKeyId;
    }

    /**
     * @param accessKeyId the accessKeyId to set
     */
    public void setAccessKeyId(String accessKeyId) {
        this.accessKeyId = accessKeyId;
    }

    /**
     * @return the accessKeySecret
     */
    public String getAccessKeySecret() {
        return accessKeySecret;
    }

    /**
     * @param accessKeySecret the accessKeySecret to set
     */
    public void setAccessKeySecret(String accessKeySecret) {
        this.accessKeySecret = accessKeySecret;
    }

    /**
     * @return the bucket
     */
    public String getBucket() {
        return bucket;
    }

    /**
     * @param bucket the bucket to set
     */
    public void setBucket(String bucket) {
        this.bucket = bucket;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
